=== debian/changelog ===
xca (1.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #706539, #811347)
  * Switch to dh build
  * Remove menu file, according to #741573
  * Bump standards version to 3.9.6, no changes needed
    Thanks to Chris Knadle for double checking.
  * Add 0001-Use-Debian-specific-CPPFLAGS.patch to use hardening flags
    Thanks to Chris Knadle for the suggestion. This also replaces the
    change from the previous NMU.
  * Add 0002-Fix-spelling-errors-found-by-lintian-packge-checker.patch
    provided by Chris Knadle
  * Drop 0001-Fix-undefined-reference-to-symbol-__cxa_free_excepti.patch
    as upstream now uses g++ for linking
  * Drop 0002-RedHat-Bug-1164340-segfault-when-viewing-a-RHEL-enti.patch
    which was included upstream

 -- Tino Mettler <tino+debian@tikei.de>  Mon, 01 Feb 2016 13:42:22 +0100

xca (1.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Quote CF variable contents to fix FTBFS bug (Closes: #809056)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 04 Jan 2016 01:49:40 -0500
