## xca 1.4~pre1

=== Makefile ===
--- 
+++ 
@@ -99,9 +99,9 @@
 				-o -name ".build-stamp" \
 				-o -name ".depend" \
 				-o -name "moc_*.cpp" | xargs rm -f
-	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
-	rm -f lang/*.xml
-	rm -f xca$(SUFFIX) setup_xca*.exe xca_db_stat$(SUFFIX) *.dmg
+	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz doc/xca_db_stat.1.gz img/imgres.cpp
+	rm -f lang/*.xml lang/.build-stamp
+	rm -f xca$(SUFFIX) setup_xca*.exe xca_db_stat$(SUFFIX) lib/xca_db_stat$(SUFFIX) *.dmg
 	rm -rf xca-$(VERSION)*
 
 distclean: clean
@@ -165,7 +165,7 @@
 	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
 	ln -s xca.html $(DMGSTAGE)/manual/index.html
 	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
-	codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app
+	codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp http://time.certum.pl
 
 xca.dmg: $(MACTARGET).dmg
 
@@ -183,5 +183,5 @@
 
 do.doc do.lang headers: local.h
 
-Local.mak: $(TOPDIR)/configure Local.mak.in
+Local.mak: configure Local.mak.in
 	$(TOPDIR)/configure
