## xca 1.4~pre2

=== Makefile ===
--- 
+++ 
@@ -165,7 +165,7 @@
 	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
 	ln -s xca.html $(DMGSTAGE)/manual/index.html
 	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
-	codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp http://time.certum.pl
+	-codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp http://time.certum.pl
 
 xca.dmg: $(MACTARGET).dmg
