=== debian/changelog ===
xca (1.4~pre2-1) unstable; urgency=medium

  * New upstream git snapshot from commit 88677279
  * Mention new upstream version in 1.4~pre1-1 changelog entry
  * Remove 0001-Fix-further-spelling-errors-found-by-lintian-packge-.patch,
    applied upstream

 -- Tino Mettler <tino+debian@tikei.de>  Wed, 22 Nov 2017 14:02:03 +0100

xca (1.4~pre1-1) unstable; urgency=medium

  * New upstream git snapshot from commit 4ef4c9ad
  * Switch to OpenSSL 1.1 (Closes: #859826)
  * Add 0001-Fix-further-spelling-errors-found-by-lintian-packge-.patch
    to fix new spelling errors found by lintian
  * Bump standards version, no changes needed

 -- Tino Mettler <tino+debian@tikei.de>  Mon, 20 Nov 2017 21:28:27 +0100

xca (1.3.2-3) unstable; urgency=medium

  * Fix further spelling errors found by lintian packge checker
  * Change build depends from QT4 to QT5 (Closes: #875237)
  * Use changelog info from pkg-info.mk to fix lintian warning
  * Remove dh_make references from debian/watch to fix a lintian warning
  * Bump standards version, no changes needed

 -- Tino Mettler <tino+debian@tikei.de>  Tue, 19 Sep 2017 14:45:04 +0200

xca (1.3.2-2) unstable; urgency=medium

  * Enable all hardening flags, not just the default
  * Drop override for clean, it isn't needed anymore
  * Use dh-autoreconf to fix build failure when built twice in a row
  * Change Vcs-Git to the repository used for packaging, not upstream
  * Bump standards version, no changes needed
  * Add 0002-Fix-clean-target.patch to remove all generated files during clean
  * Add 0003-Allow-to-specify-CPPFLAGS-on-the-command-line.patch to use
    the CPPFLAGS environment variable
  * Drop 0001-Use-Debian-specific-CPPFLAGS.patch which is replaced by the obove
    patch
  * Build-Depend on libssl1.0-dev to fix FTBFS with OpenSSL 1.1
    (Closes: #828604)
  * Don't strip xca, the xca-dbgsym package needs the debug symbols

 -- Tino Mettler <tino+debian@tikei.de>  Wed, 09 Nov 2016 14:53:14 +0100
