=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: x11
 Priority: optional
 Maintainer: Tino Mettler <tino+debian@tikei.de>
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~), autoconf, automake
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools, libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~), autoconf, automake, dh-autoreconf
+Standards-Version: 4.1.1
 Homepage: http://xca.sourceforge.net
-Vcs-Git: http://git.hohnstaedt.de/xca.git
+Vcs-Git: http://tikei.de/git/xca.git
 
 Package: xca
 Architecture: any
