## xca 1.4~pre3

=== debian/changelog ===
xca (1.4~pre3-1) unstable; urgency=medium

  [ Tino Mettler ]
  * As XCA does not use QT4 anymore, mention just QT in the short description
    (Closes: #882471)

  [ Christian Hohnstaedt ]
  * Of course we support Big Endian machines. Remove debugging mechanism
    (Closes: #882470)

 -- Tino Mettler <tino+debian@tikei.de>  Thu, 23 Nov 2017 13:35:21 +0100
