=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: xca
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: x509 Certification Authority management tool based on QT4
+Description: x509 Certification Authority management tool based on QT
  XCA creates and manages Certificate authorities and helps the user to
  create and manage keys, certificates, certificate sign requests,
  certificate revocation lists etc.
