## xca 1.4.1

=== Makefile ===
--- 
+++ 
@@ -31,8 +31,8 @@
 MACTARGET=$(DMGSTAGE)-$(DARWIN)${EXTRA_VERSION}
 APPDIR=$(DMGSTAGE)/xca.app/Contents
 OSSLSIGN_OPT=sign -pkcs12 "$(HOME)"/Christian_Hohnstaedt.p12 -askpass \
-	-n "XCA $(VERSION)" -i https://sourceforge.net/projects/xca/ \
-	-t http://time.certum.pl -h sha2 -verbose
+	-n "XCA $(VERSION)" -i https://hohnstaedt.de/xca \
+	-t http://timestamp.comodoca.com -h sha2 -verbose
 
 all: xca_db_stat$(SUFFIX)
 ifeq ($(SUFFIX), .exe)
@@ -68,11 +68,11 @@
 	@$(PRINT) "  LINK   $@"
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(patsubst %,@%, $^) $(LIBS) -o $@
 
-do.ui do.doc do.lang: do.%:
+do.ui do.doc do.lang do.misc: do.%:
 	mkdir -p $*
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* $*
 
-headers: do.ui
+headers: do.ui commithash.h
 
 %/.build-stamp: headers
 	mkdir -p $*
@@ -100,12 +100,12 @@
 				-o -name ".depend" \
 				-o -name "moc_*.cpp" | xargs rm -f
 	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz doc/xca_db_stat.1.gz img/imgres.cpp
-	rm -f lang/*.xml lang/.build-stamp
+	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt misc/oids.txt
 	rm -f xca$(SUFFIX) setup_xca*.exe xca_db_stat$(SUFFIX) lib/xca_db_stat$(SUFFIX) *.dmg
 	rm -rf xca-$(VERSION)*
 
 distclean: clean
-	rm -f local.h Local.mak config.log config.status
+	rm -f local.h Local.mak config.log config.status commithash.h
 
 dist: $(TARGET).tar.gz
 $(TARGET).tar:
@@ -133,7 +133,7 @@
 	$(STRIP) $(destdir)$(bindir)/xca
 
 setup.exe: setup_xca-$(VERSION).exe
-setup_xca-$(VERSION).exe: xca$(SUFFIX) xca_db_stat$(SUFFIX) do.doc do.lang
+setup_xca-$(VERSION).exe: xca$(SUFFIX) xca_db_stat$(SUFFIX) do.doc do.lang do.misc
 setup_xca-$(VERSION).exe: misc/xca.nsi
 	for binary in xca$(SUFFIX) xca_db_stat$(SUFFIX); do \
 	  $(STRIP) xca$(SUFFIX); \
@@ -165,23 +165,27 @@
 	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
 	ln -s xca.html $(DMGSTAGE)/manual/index.html
 	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
-	-codesign -s "Open Source Developer, Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp http://time.certum.pl
+	codesign --force --deep --signature-size=96000 -s "Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp
 
 xca.dmg: $(MACTARGET).dmg
 
 xca.app: $(DMGSTAGE)
 
 $(MACTARGET).dmg: $(DMGSTAGE)
-	hdiutil create -ov -srcfolder $< $@
+	hdiutil create -ov -srcfolder "$<" "$@"
 
 trans:
 	$(MAKE) -C lang po2ts
-	lupdate-qt4 -locations relative $(TOPDIR)/xca.pro
+	lupdate -locations relative $(TOPDIR)/xca.pro
 	$(MAKE) -C lang xca.pot
 
-.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt $(DMGSTAGE)
+.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt $(DMGSTAGE) commithash.h
 
 do.doc do.lang headers: local.h
 
 Local.mak: configure Local.mak.in
 	$(TOPDIR)/configure
+
+commithash.h:
+	@$(PRINT) "  GEN    $@"
+	$(TOPDIR)/gen_commithash.h.sh $@
