=== lang/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif
 include $(TOPDIR)/Rules.mak
 
-PO_LANGUAGES=es tr fr
+PO_LANGUAGES=es tr fr sk
 LANGUAGES=de ru hr $(PO_LANGUAGES)
 QM_XCA=$(patsubst %, xca_%.qm, $(LANGUAGES))
 QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))
