=== debian/changelog ===
xca (1.4.1-1fakesync1) bionic-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 22 Mar 2018 00:41:53 -0500

xca (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Tino Mettler <tino+debian@tikei.de>  Wed, 21 Mar 2018 22:04:11 +0100
