=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xca
 Section: x11
 Priority: optional
-Maintainer: Tino Mettler <tino+debian@tikei.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools, libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~), autoconf, automake, dh-autoreconf
 Standards-Version: 4.1.1
 Homepage: http://xca.sourceforge.net
