=== debian/changelog ===
xca (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * XCA 2.0 depends on libqt5sql5-sqlite
  * Add NEWS file to describe database changes in the 2.0 release
  * Correct .orig.tar.gz generation, the filename was wrong

 -- Tino Mettler <tino+debian@tikei.de>  Tue, 03 Jul 2018 16:03:35 +0200
