=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xca
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tino Mettler <tino+debian@tikei.de>
+Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools, libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~), autoconf, automake, dh-autoreconf
 Standards-Version: 4.1.1
 Homepage: http://xca.sourceforge.net
@@ -10,7 +9,8 @@
 
 Package: xca
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libqt5sql5-sqlite
 Description: x509 Certification Authority management tool based on QT
  XCA creates and manages Certificate authorities and helps the user to
  create and manage keys, certificates, certificate sign requests,
