=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 ORIG=${DEB_SOURCE}_${DEB_VERSION_UPSTREAM}
 
 get-orig-source:
-	git archive --format=tar upstream/${DEB_VERSION_UPSTREAM} --prefix=${ORIG}/ | gzip -9 > ../${ORIG}.tar.gz
+	git archive --format=tar upstream/${DEB_VERSION_UPSTREAM} --prefix=${ORIG}/ | gzip -9 > ../${ORIG}.orig.tar.gz
