=== misc/Makefile ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 MSG := \# Do not edit this file, rather use
 
-%.txt: %.text
+%.txt: preamble.txt %.text
 	@$(PRINT) "  GEN    [$(BASENAME)] $@"
 ifeq ($(HOST), w32)
 	(echo "$(MSG) PROFILE\Application Data\xca\$@" && cat $^) | sed 's/$$/\r/' > $@
 else ifneq ($(DARWIN),)
-	(echo "$(MSG) HOME/Library/Preferences/xca/$@" && cat $^) > $@
+	(echo "$(MSG) HOME/Library/Application Support/data/xca/$@" && cat $^) > $@
 else
 	(echo "$(MSG) /etc/xca/$@ or HOME/.xca/$@" && cat $^) > $@
 endif
