=== debian/changelog ===
xca (2.1.2-0ubuntu2) eoan; urgency=medium

  * d/control: Move runtime deps for DB access to Recommends.

 -- Thomas Ward <teward@ubuntu.com>  Thu, 11 Jul 2019 11:14:19 -0400

xca (2.1.2-0ubuntu1) eoan; urgency=medium

  * NOTE: This package update diverges from Debian for this package.
    Package will be looked after by Thomas Ward until such time that
    Debian catches up.
  * New upstream release.  (LP: #1828316)
  * d/control:
    - Add runtime deps on libqt5sql5-{mysql,postgresql} to enable
      remote database functionality and support. Also add required
      build-dep on libqt5sql5 for DB support. (LP: #1828315)
    - Remove Vcs-Git because there is no apt-source compatible
      Git repository for this at this time.
  * d/watch: Update watch file to track Upstream git repository versions

 -- Thomas Ward <teward@ubuntu.com>  Wed, 10 Jul 2019 11:56:44 -0400
