=== debian/control ===
Source: xca
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tino Mettler <tino+debian@tikei.de>
Build-Depends: debhelper (>= 9),
               qtbase5-dev,
               qttools5-dev-tools,
               libssl-dev,
               linuxdoc-tools,
               libltdl-dev,
               pkg-config,
               dpkg-dev (>= 1.16.1~),
               autoconf,
               automake,
               dh-autoreconf,
               libqt5sql5
Standards-Version: 4.1.1
Homepage: https://hohnstaedt.de/xca/
Vcs-Git: https://github.com/chris2511/xca

Package: xca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt5sql5-sqlite
Recommends: libqt5sql5-mysql, libqt5sql5-postgresql
Description: x509 Certification Authority management tool based on QT
 XCA creates and manages Certificate authorities and helps the user to
 create and manage keys, certificates, certificate sign requests,
 certificate revocation lists etc.
 .
 All data is saved in an encrypted, portable database, and can be exported
 in various standard formats. XCA is also available for MacOS X and
 Windows systems.
 .
 For a good workflow, certificate templates can be defined to make the
 creation of new certificates an easy task.
