=== debian/watch ===
version=4
https://github.com/chris2511/xca/releases .*/xca-?(\d\S+)\.tar\.gz
